argv.h File Reference
Argument Manipulation API.
`#include <stdio.h>`
`#include <rpm/rpmtypes.h>`
Include dependency graph for argv.h:

Go to the source code of this file.

## Data Structures

struct | ARGI_s

## Typedefs

typedef char ** | ARGV_t
typedef char *const * | ARGV_const_t
typedef int * | ARGint_t
typedef struct ARGI_s * | ARGI_t
typedef struct ARGI_s const *const | ARGI_const_t
typedef rpmFlags | argvFlags

## Enumerations

enum | argvFlags_e { ARGV_NONE = 0, ARGV_SKIPEMPTY = (1 << 0) }

## Functions

void | argvPrint (const char *msg, ARGV_const_t argv, FILE *fp)
| Print argv array elements. More...
ARGI_t | argiFree (ARGI_t argi)
| Destroy an argi array. More...
ARGV_t | argvNew (void)
| Create an empty argv array. More...
ARGV_t | argvFree (ARGV_t argv)
| Destroy an argv array. More...
int | argiCount (ARGI_const_t argi)
| Return no. More...
ARGint_t | argiData (ARGI_const_t argi)
| Return data from argi array. More...
int | argvCount (ARGV_const_t argv)
| Return no. More...
ARGV_t | argvData (ARGV_t argv)
| Return data from argv array. More...
int | argvCmp (const void *a, const void *b)
| Compare argv arrays (qsort/bsearch). More...
int | argvSort (ARGV_t argv, int(*compar)(const void *, const void *))
| Sort an argv array. More...
ARGV_t | argvSearch (ARGV_const_t argv, const char *val, int(*compar)(const void *, const void *))
| Find an element in an argv array. More...
int | argiAdd (ARGI_t *argip, int ix, int val)
| Add an int to an argi array. More...
int | argvAdd (ARGV_t *argvp, const char *val)
| Add a string to an argv array. More...
int | argvAddNum (ARGV_t *argvp, int val)
| Add a number to an argv array (converting to a string). More...
int | argvAppend (ARGV_t *argvp, ARGV_const_t av)
| Append one argv array to another. More...
ARGV_t | argvSplitString (const char *str, const char *seps, argvFlags flags)
| Split a string into an argv array. More...
int | argvSplit (ARGV_t *argvp, const char *str, const char *seps)
| Split a string into an argv array. More...
char * | argvJoin (ARGV_const_t argv, const char *sep)
| Join an argv array into a string. More...

## Typedef Documentation

typedef struct ARGI_s const* const ARGI_const_t

Definition at line 24 of file argv.h.

typedef struct ARGI_s* ARGI_t

Definition at line 23 of file argv.h.

typedef int* ARGint_t

Definition at line 18 of file argv.h.

typedef char* const* ARGV_const_t

Definition at line 16 of file argv.h.

typedef char** ARGV_t

Definition at line 15 of file argv.h.

typedef rpmFlags argvFlags

Definition at line 147 of file argv.h.

## Enumeration Type Documentation

enum argvFlags_e

Enumerator
ARGV_NONE |
ARGV_SKIPEMPTY |

Definition at line 142 of file argv.h.